/*
Created: Thursday, May 7, 1992 at 10:25 PM
    UGLibErrors.h
    C Interface to UGLibrary.o
	This file contains the error codes for the UGLibrary code

        Copyright Apple Computer, Inc. 1990-1992
        All rights reserved
*/

enum {
	ugUserAlreadyExists = 1,
	ugGroupAlreadyExists = 2,
	ugULInfoRecNotCreated = 3,
	ugNoMoreUGs = 4,
	ugUserNotFound = 5,
	ugGroupNotFound = 6,
	ugNotAUser = 7,
	ugNotAGroup = 8,
	ugTooManyGroups = 9,
	ugNotaMember = 10,
	ugNoMoreUsers = 11,
	ugNoMoreGroups = 12,
	ugBadParamErr = 13,
	ugUserAlreadyAMember = 14,
	ugAPrmryGroupExists = 15,
	ugServerRunning = 16,
	ugAdminRunning = 17,
	ugNotBtree = 18,
	ugBadKey = 19,
	ugDskFull = 20,
	ugBadUID = 21,
	ugInvalidPasswd = 22,
	ugEOF = 23,
	ugBOF = 24,
	ugDefNameErr = 98,
	ugFatalError = 99
};